﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.2.1
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.1022
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.NightlyRoutine
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.2.1")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("NightlyRoutine")]
    [NUnit.Framework.CategoryAttribute("Nightly")]
    [NUnit.Framework.CategoryAttribute("CleanDb")]
    public partial class NightlyRoutineFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "NightlyRoutine.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "NightlyRoutine", "", ProgrammingLanguage.CSharp, new string[] {
                        "Nightly",
                        "CleanDb"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("ProcessTransmission execution with HOSTU parameter and ExcludePriceChanges flag i" +
            "n DB is false")]
        public virtual void ProcessTransmissionExecutionWithHOSTUParameterAndExcludePriceChangesFlagInDBIsFalse()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("ProcessTransmission execution with HOSTU parameter and ExcludePriceChanges flag i" +
                    "n DB is false", ((string[])(null)));
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
    testRunner.Given("Price and event change tables in database are clean", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
    testRunner.And("We have \'HOSTU\' file with name \'FROMRTI\\\\HOSTU852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 7
    testRunner.And("Current system date is \'2014-07-28\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
    testRunner.And("ExcludePriceChanges parameter in Parameters table is equal \'false\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 9
    testRunner.When("ProcessTransmission.exe is executed with parameters \'HOSTU\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 10
    testRunner.Then("the following tables have new records inserted or updated: \'STKMAS,EVTMMG,EVTHDR," +
                    "EVTDLG,EVTHEX,PRCCHG\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 11
    testRunner.And("the following non-empty files should be created with source name \'SAVE\\HOSTU01,ST" +
                    "HOC,STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("ProcessTransmission execution with HOSTU parameter and ExcludePriceChanges flag i" +
            "n DB is true")]
        public virtual void ProcessTransmissionExecutionWithHOSTUParameterAndExcludePriceChangesFlagInDBIsTrue()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("ProcessTransmission execution with HOSTU parameter and ExcludePriceChanges flag i" +
                    "n DB is true", ((string[])(null)));
#line 13
this.ScenarioSetup(scenarioInfo);
#line 14
    testRunner.Given("Price and event change tables in database are clean", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 15
    testRunner.And("We have \'HOSTU\' file with name \'FROMRTI\\\\HOSTU852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
    testRunner.And("Current system date is \'2014-07-28\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
    testRunner.And("ExcludePriceChanges parameter in Parameters table is equal \'true\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 18
    testRunner.When("ProcessTransmission.exe is executed with parameters \'HOSTU\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 19
    testRunner.Then("the following tables have new records inserted or updated: \'STKMAS,EVTMMG,EVTHDR," +
                    "EVTDLG,EVTHEX\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 20
    testRunner.And("the following tables have no changes: \'PRCCHG\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 21
    testRunner.And("the following non-empty files should be created with source name \'SAVE\\HOSTU01,ST" +
                    "HOC,STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("ProcessTransmission execution with PC parameter and ExcludePriceChanges flag in D" +
            "B is false")]
        public virtual void ProcessTransmissionExecutionWithPCParameterAndExcludePriceChangesFlagInDBIsFalse()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("ProcessTransmission execution with PC parameter and ExcludePriceChanges flag in D" +
                    "B is false", ((string[])(null)));
#line 23
this.ScenarioSetup(scenarioInfo);
#line 24
    testRunner.Given("Price and event change tables in database are clean", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 25
    testRunner.And("ExcludePriceChanges parameter in Parameters table is equal \'false\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 26
    testRunner.And("Current system date is \'2010-05-26\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
    testRunner.And("Change tracking in the database is turned on", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            TechTalk.SpecFlow.Table table1 = new TechTalk.SpecFlow.Table(new string[] {
                        "SkuNumber",
                        "Start date",
                        "Priority",
                        "Event number",
                        "Ending date",
                        "Price"});
            table1.AddRow(new string[] {
                        "100007",
                        "2010-05-27",
                        "20",
                        "000105",
                        "2010-07-29",
                        "7.50"});
#line 28
    testRunner.And("There are price change events to process in DB:", ((string)(null)), table1, "And ");
#line 31
    testRunner.When("ProcessTransmission.exe is executed with parameters \'PC\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 32
    testRunner.Then("the following tables have new records inserted or updated: \'PRCCHG\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("ProcessTransmission execution with PC parameter and ExcludePriceChanges flag in D" +
            "B is true")]
        public virtual void ProcessTransmissionExecutionWithPCParameterAndExcludePriceChangesFlagInDBIsTrue()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("ProcessTransmission execution with PC parameter and ExcludePriceChanges flag in D" +
                    "B is true", ((string[])(null)));
#line 34
this.ScenarioSetup(scenarioInfo);
#line 35
    testRunner.Given("Price and event change tables in database are clean", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 36
    testRunner.And("ExcludePriceChanges parameter in Parameters table is equal \'true\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 37
    testRunner.And("Current system date is \'2010-05-26\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
    testRunner.And("Change tracking in the database is turned on", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            TechTalk.SpecFlow.Table table2 = new TechTalk.SpecFlow.Table(new string[] {
                        "SkuNumber",
                        "Start date",
                        "Priority",
                        "Event number",
                        "Ending date",
                        "Price"});
            table2.AddRow(new string[] {
                        "100007",
                        "2010-05-27",
                        "20",
                        "000105",
                        "2010-07-29",
                        "7.50"});
#line 39
    testRunner.And("There are price change events to process in DB:", ((string)(null)), table2, "And ");
#line 42
    testRunner.When("ProcessTransmission.exe is executed with parameters \'PC\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 43
    testRunner.Then("the following tables have new records inserted or updated: \'PRCCHG\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("ProcessTransmission execution with PC parameter and HOSTU parameter and ExcludePr" +
            "iceChanges flag in DB is false")]
        public virtual void ProcessTransmissionExecutionWithPCParameterAndHOSTUParameterAndExcludePriceChangesFlagInDBIsFalse()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("ProcessTransmission execution with PC parameter and HOSTU parameter and ExcludePr" +
                    "iceChanges flag in DB is false", ((string[])(null)));
#line 45
this.ScenarioSetup(scenarioInfo);
#line 46
    testRunner.Given("Price and event change tables in database are clean", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 47
    testRunner.And("We have \'HOSTU\' file with name \'FROMRTI\\\\HOSTU852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 48
    testRunner.And("Current system date is \'2014-07-28\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
    testRunner.And("ExcludePriceChanges parameter in Parameters table is equal \'false\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
    testRunner.When("ProcessTransmission.exe is executed with parameters \'HOSTU PC\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 51
    testRunner.Then("the following tables have new records inserted or updated: \'STKMAS,EVTMMG,EVTHDR," +
                    "EVTDLG,EVTHEX,PRCCHG\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 52
    testRunner.And("the following non-empty files should be created with source name \'SAVE\\HOSTU01,ST" +
                    "HOC,STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("ProcessTransmission execution with PC parameter and HOSTU parameter and ExcludePr" +
            "iceChanges flag in DB is true")]
        public virtual void ProcessTransmissionExecutionWithPCParameterAndHOSTUParameterAndExcludePriceChangesFlagInDBIsTrue()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("ProcessTransmission execution with PC parameter and HOSTU parameter and ExcludePr" +
                    "iceChanges flag in DB is true", ((string[])(null)));
#line 54
this.ScenarioSetup(scenarioInfo);
#line 55
    testRunner.Given("Price and event change tables in database are clean", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 56
    testRunner.And("We have \'HOSTU\' file with name \'FROMRTI\\\\HOSTU852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 57
    testRunner.And("Current system date is \'2014-07-28\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 58
    testRunner.And("ExcludePriceChanges parameter in Parameters table is equal \'true\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 59
    testRunner.When("ProcessTransmission.exe is executed with parameters \'HOSTU PC\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 60
    testRunner.Then("the following tables have new records inserted or updated: \'STKMAS,EVTMMG,EVTHDR," +
                    "EVTDLG,EVTHEX,PRCCHG\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 61
    testRunner.And("the following non-empty files should be created with source name \'SAVE\\HOSTU01,ST" +
                    "HOC,STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with MU process")]
        public virtual void ProcessTransmissionWithMUProcess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with MU process", ((string[])(null)));
#line 63
this.ScenarioSetup(scenarioInfo);
#line 64
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 65
    testRunner.When("start step number \'105\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 66
    testRunner.Then("the following non-empty files should be created with source name \'STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 67
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with HPSTV file")]
        public virtual void ProcessTransmissionWithHPSTVFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with HPSTV file", ((string[])(null)));
#line 69
this.ScenarioSetup(scenarioInfo);
#line 70
    testRunner.Given("We have \'HPSTV\' file with name \'FROMRTI\\\\HPSTV852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 71
    testRunner.When("start step number \'140\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 72
    testRunner.Then("the following non-empty files should be created with source name \'HPSTV,STHOC,SAV" +
                    "E\\HPSTV01,STHPA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 73
    testRunner.And("the following tables have new records inserted or updated: \'SUPMAS,SUPDET\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 74
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with HOSTC file")]
        public virtual void ProcessTransmissionWithHOSTCFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with HOSTC file", ((string[])(null)));
#line 76
this.ScenarioSetup(scenarioInfo);
#line 77
    testRunner.Given("We have \'HOSTC\' file with name \'FROMRTI\\\\HOSTC852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 78
    testRunner.When("start step number \'125\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 79
    testRunner.Then("the following tables have new records inserted or updated: \'PICCTL,SYSDAT\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 80
    testRunner.And("the following non-empty files should be created with source name \'SAVE\\HOSTC01,ST" +
                    "HOC\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 81
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with TIBIPR process")]
        public virtual void ProcessTransmissionWithTIBIPRProcess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with TIBIPR process", ((string[])(null)));
#line 83
this.ScenarioSetup(scenarioInfo);
#line 84
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 85
    testRunner.When("start step number \'135\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 86
    testRunner.Then("the following tables have new records inserted or updated: \'ItemPrompts\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 87
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with PO process")]
        public virtual void ProcessTransmissionWithPOProcess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with PO process", ((string[])(null)));
#line 89
this.ScenarioSetup(scenarioInfo);
#line 90
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 91
    testRunner.When("start step number \'145\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 92
    testRunner.Then("the following non-empty files should be created with source name \'STHPO\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 93
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with HOSTF file")]
        public virtual void ProcessTransmissionWithHOSTFFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with HOSTF file", ((string[])(null)));
#line 95
this.ScenarioSetup(scenarioInfo);
#line 96
    testRunner.Given("We have \'HOSTF\' file with name \'FROMRTI\\\\HOSTF852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 97
    testRunner.When("start step number \'150\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 98
    testRunner.Then("the following tables have new records inserted or updated: \'PLANGRAM\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 99
    testRunner.And("the following non-empty files should be created with source name \'SAVE\\HOSTF01,ST" +
                    "HOC,STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with OF process")]
        public virtual void ProcessTransmissionWithOFProcess()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with OF process", ((string[])(null)));
#line 102
this.ScenarioSetup(scenarioInfo);
#line 103
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 104
    testRunner.When("start step number \'155\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 105
    testRunner.Then("the following non-empty files should be created with source name \'STHOF\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 106
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with TIBPFV file")]
        public virtual void ProcessTransmissionWithTIBPFVFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with TIBPFV file", ((string[])(null)));
#line 108
this.ScenarioSetup(scenarioInfo);
#line 109
    testRunner.Given("We have \'TIBPFV\' file with name \'HPSTV\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 110
    testRunner.When("start step number \'139\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 111
    testRunner.Then("the following non-empty files should be created with source name \'STHOC,TEMP\\HPST" +
                    "V.Tmp\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 112
    testRunner.And("the following folder shoud be created: with name \'TEMP\\HPSTV.TmpTEMP\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 113
    testRunner.And("the sourse file should be deleted: with name \'HPSTV\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 114
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with HPSTO file")]
        public virtual void ProcessTransmissionWithHPSTOFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with HPSTO file", ((string[])(null)));
#line 116
this.ScenarioSetup(scenarioInfo);
#line 117
    testRunner.Given("We have \'HPSTO\' file with name \'FROMRTI\\\\HPSTO852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 118
    testRunner.When("start step number \'160\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 119
    testRunner.Then("the following tables have new records inserted or updated: \'PURHDR\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 120
    testRunner.And("the following non-empty files should be created with source name \'SAVE\\HPSTO01,ST" +
                    "HOC\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 121
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with DR file")]
        public virtual void ProcessTransmissionWithDRFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with DR file", ((string[])(null)));
#line 123
this.ScenarioSetup(scenarioInfo);
#line 124
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 125
    testRunner.When("start step number \'165\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 126
    testRunner.Then("the following non-empty files should be created with source name \'STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 127
    testRunner.And("the following tables have new records inserted or updated: \'DRLSUM,DRLDET\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 128
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with AD file")]
        public virtual void ProcessTransmissionWithADFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with AD file", ((string[])(null)));
#line 130
this.ScenarioSetup(scenarioInfo);
#line 131
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 132
    testRunner.When("start step number \'170\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 133
    testRunner.Then("the following non-empty files should be created with source name \'STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 134
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with SA file")]
        public virtual void ProcessTransmissionWithSAFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with SA file", ((string[])(null)));
#line 136
this.ScenarioSetup(scenarioInfo);
#line 137
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 138
    testRunner.When("start step number \'175\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 139
    testRunner.Then("the following non-empty files should be created with source name \'STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 140
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with EE file")]
        public virtual void ProcessTransmissionWithEEFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with EE file", ((string[])(null)));
#line 142
this.ScenarioSetup(scenarioInfo);
#line 143
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 144
    testRunner.When("start step number \'180\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 145
    testRunner.Then("the following non-empty files should be created with source name \'STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 146
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with OT file")]
        public virtual void ProcessTransmissionWithOTFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with OT file", ((string[])(null)));
#line 148
this.ScenarioSetup(scenarioInfo);
#line 149
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 150
    testRunner.When("start step number \'185\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 151
    testRunner.Then("the following non-empty files should be created with source name \'STHOT\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 152
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with OJ file")]
        public virtual void ProcessTransmissionWithOJFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with OJ file", ((string[])(null)));
#line 154
this.ScenarioSetup(scenarioInfo);
#line 155
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 156
    testRunner.When("start step number \'190\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 157
    testRunner.Then("the following non-empty files should be created with source name \'STHOJ\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 158
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with OC file")]
        public virtual void ProcessTransmissionWithOCFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with OC file", ((string[])(null)));
#line 160
this.ScenarioSetup(scenarioInfo);
#line 161
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 162
    testRunner.When("start step number \'195\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 163
    testRunner.Then("the following non-empty files should be created with source name \'PCODE852\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 164
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with NIGHT=Y RF file")]
        public virtual void ProcessTransmissionWithNIGHTYRFFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with NIGHT=Y RF file", ((string[])(null)));
#line 166
this.ScenarioSetup(scenarioInfo);
#line 167
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 168
    testRunner.When("start step number \'200\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 169
    testRunner.Then("the following non-empty files should be created with source name \'STHPA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 170
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with NIGHT=Y SP file")]
        public virtual void ProcessTransmissionWithNIGHTYSPFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with NIGHT=Y SP file", ((string[])(null)));
#line 172
this.ScenarioSetup(scenarioInfo);
#line 173
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 174
    testRunner.When("start step number \'205\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 175
    testRunner.Then("the following non-empty files should be created with source name \'STHPA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 176
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with OL file")]
        public virtual void ProcessTransmissionWithOLFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with OL file", ((string[])(null)));
#line 178
this.ScenarioSetup(scenarioInfo);
#line 179
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 180
    testRunner.And("Current system date is \'2014-09-17\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 181
    testRunner.When("start step number \'210\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 182
    testRunner.Then("the following non-empty files should be created with source name \'STHOL\\EI140914." +
                    "852,STHOL\\STHOLIS.CTL,STHOL\\STHOLTT.852\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 183
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with HOSTA file")]
        public virtual void ProcessTransmissionWithHOSTAFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with HOSTA file", ((string[])(null)));
#line 185
this.ScenarioSetup(scenarioInfo);
#line 186
    testRunner.Given("We have \'HOSTA\' file with name \'HOSTA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 187
    testRunner.When("start step number \'220\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 188
    testRunner.Then("the following non-empty files should be created with source name \'HOSTA.old\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 189
    testRunner.And("the following tables have new records inserted or updated: \'CARD_LIST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 190
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with HOSTG file")]
        public virtual void ProcessTransmissionWithHOSTGFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with HOSTG file", ((string[])(null)));
#line 192
this.ScenarioSetup(scenarioInfo);
#line 193
    testRunner.Given("We have \'HOSTG\' file with name \'FROMRTI/HOSTG852.01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 194
    testRunner.When("start step number \'230\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 195
    testRunner.Then("the following non-empty files should be created with source name \'STHOC,SAVE\\HOST" +
                    "G01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 196
    testRunner.And("the following tables have new records inserted or updated: \'GIFHOT\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 197
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with HOSTH file")]
        public virtual void ProcessTransmissionWithHOSTHFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with HOSTH file", ((string[])(null)));
#line 199
this.ScenarioSetup(scenarioInfo);
#line 200
    testRunner.Given("that we have \'HOSTH\' file with name \'FROMRTI/HOSTH852.01\' and run custom \'BeforeT" +
                    "est_CleanTables.sql\' script", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 201
    testRunner.When("start step number \'225\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 202
    testRunner.Then("the following tables have new records inserted or updated: \'HIECAT,HIEMAS,HIEGRP," +
                    "HIESGP,HIESTY,STKHIR\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 203
    testRunner.And("the following non-empty files should be created with source name \'STHOC,SAVE\\HOST" +
                    "H01\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 204
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with GSBUHL file")]
        public virtual void ProcessTransmissionWithGSBUHLFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with GSBUHL file", ((string[])(null)));
#line 206
this.ScenarioSetup(scenarioInfo);
#line 207
    testRunner.Given("that we have database preparation with custom \'BeforeTest_CleanTables.sql\' script" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 208
    testRunner.When("start step number \'215\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 209
    testRunner.Then("the following tables have new records inserted or updated: \'HIECAT,HIEMAS,HIEGRP," +
                    "HIESGP,HIESTY\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with RI file")]
        public virtual void ProcessTransmissionWithRIFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with RI file", ((string[])(null)));
#line 211
this.ScenarioSetup(scenarioInfo);
#line 212
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 213
    testRunner.When("start step number \'240\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 214
    testRunner.Then("the following non-empty files should be created with source name \'STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with OO file")]
        public virtual void ProcessTransmissionWithOOFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with OO file", ((string[])(null)));
#line 216
this.ScenarioSetup(scenarioInfo);
#line 217
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 218
    testRunner.When("start step number \'245\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 219
    testRunner.Then("the following non-empty files should be created with source name \'STHOO\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Process Transmission with SOCLOS file")]
        public virtual void ProcessTransmissionWithSOCLOSFile()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Process Transmission with SOCLOS file", ((string[])(null)));
#line 221
this.ScenarioSetup(scenarioInfo);
#line 222
    testRunner.Given("We have \'STHOA\' file with name \'STHOA\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 223
    testRunner.When("start step number \'250\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 224
    testRunner.Then("the following non-empty files should be created: with source name \'TORTI\\STHOA852" +
                    ".01\' and trailer and header lines include store number \'852\', current date, file" +
                    " type \'STHOA\', next version number \'01\' and next sequence number \'000001\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 225
    testRunner.And("log-file shoud be created: with prefix \'ST\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Roll Dates")]
        public virtual void RollDates()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Roll Dates", ((string[])(null)));
#line 227
this.ScenarioSetup(scenarioInfo);
#line 228
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 229
    testRunner.When("start step number \'010\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 230
    testRunner.Then("the following tables have new records inserted or updated: \'SYSDAT,RETOPT\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Nightly Retail Updates")]
        public virtual void NightlyRetailUpdates()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Nightly Retail Updates", ((string[])(null)));
#line 232
this.ScenarioSetup(scenarioInfo);
#line 233
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 234
    testRunner.When("start step number \'100\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 235
    testRunner.Then("the following tables have new records inserted or updated: \'DLTOTS,STKMAS,STKADJ," +
                    "STKLOG\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Nightly Stock Calculation")]
        public virtual void NightlyStockCalculation()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Nightly Stock Calculation", ((string[])(null)));
#line 237
this.ScenarioSetup(scenarioInfo);
#line 238
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 239
    testRunner.When("start step number \'110\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 240
    testRunner.Then("the following tables have new records inserted or updated: \'STKMAS\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Split Bulk To Single Items")]
        public virtual void SplitBulkToSingleItems()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Split Bulk To Single Items", ((string[])(null)));
#line 242
this.ScenarioSetup(scenarioInfo);
#line 243
    testRunner.Given("that we have database preparation with custom \'BeforeTest_SplitBulkToSingleItems." +
                    "sql\' script", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 244
    testRunner.When("start step number \'115\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 245
    testRunner.Then("the following tables have new records inserted or updated: \'STKMAS,STKLOG,RELITM\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 246
    testRunner.And("the following non-empty files should be created with source name \'STHOT\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Weekly System Update")]
        public virtual void WeeklySystemUpdate()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Weekly System Update", ((string[])(null)));
#line 248
this.ScenarioSetup(scenarioInfo);
#line 249
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 250
    testRunner.When("start step number \'235\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 251
    testRunner.Then("the following tables have new records inserted or updated: \'STKMAS,RELITM,SYSDAT\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Price Apply Changes")]
        public virtual void PriceApplyChanges()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Price Apply Changes", ((string[])(null)));
#line 253
this.ScenarioSetup(scenarioInfo);
#line 254
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 255
    testRunner.When("start step number \'120\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 256
    testRunner.Then("the following tables have new records inserted or updated: \'PRCCHG,STKMAS,STKLOG\'" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Bar Code Generator")]
        public virtual void BarCodeGenerator()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Bar Code Generator", ((string[])(null)));
#line 258
this.ScenarioSetup(scenarioInfo);
#line 259
    testRunner.Given("that we have database preparation with custom \'BeforeTest_CleanTables.sql\' script" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 260
    testRunner.When("start step number \'465\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 261
    testRunner.Then("the following tables have new records inserted or updated: \'EANMAS\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refresh Event Enquiry")]
        public virtual void RefreshEventEnquiry()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refresh Event Enquiry", ((string[])(null)));
#line 263
this.ScenarioSetup(scenarioInfo);
#line 264
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 265
    testRunner.When("start step number \'420\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 266
    testRunner.Then("the following tables are not empty: \'EVTENQ\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Label Request Purge")]
        public virtual void LabelRequestPurge()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Label Request Purge", ((string[])(null)));
#line 268
this.ScenarioSetup(scenarioInfo);
#line 269
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 270
    testRunner.When("start step number \'495\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 271
    testRunner.Then("the following tables have new records inserted or updated: \'TMPFIL\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Pic.Build")]
        public virtual void Pic_Build()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Pic.Build", ((string[])(null)));
#line 273
this.ScenarioSetup(scenarioInfo);
#line 274
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 275
    testRunner.When("start step number \'445\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 276
    testRunner.Then("the following tables are not empty: \'HHTHDR,HHTDET,SYSDAT,RETOPT,DRLSUM,DRLDET,ST" +
                    "KADJ,STKMAS\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Refund List")]
        public virtual void RefundList()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Refund List", ((string[])(null)));
#line 278
this.ScenarioSetup(scenarioInfo);
#line 279
    testRunner.When("start step number \'430\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 280
    testRunner.Then("the report should be created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Daily Receiver Listing")]
        public virtual void DailyReceiverListing()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Daily Receiver Listing", ((string[])(null)));
#line 282
this.ScenarioSetup(scenarioInfo);
#line 283
    testRunner.When("start step number \'440\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 284
    testRunner.Then("the report should be created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Colleague Discount Report")]
        public virtual void ColleagueDiscountReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Colleague Discount Report", ((string[])(null)));
#line 286
this.ScenarioSetup(scenarioInfo);
#line 287
    testRunner.When("start step number \'475\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 288
    testRunner.Then("the report should be created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Miscellaneous Income Report")]
        public virtual void MiscellaneousIncomeReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Miscellaneous Income Report", ((string[])(null)));
#line 290
this.ScenarioSetup(scenarioInfo);
#line 291
    testRunner.When("start step number \'480\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 292
    testRunner.Then("the report should be created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Price Violation Report")]
        public virtual void PriceViolationReport()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Price Violation Report", ((string[])(null)));
#line 294
this.ScenarioSetup(scenarioInfo);
#line 295
    testRunner.When("start step number \'490\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 296
    testRunner.Then("the report should be created", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("NightlyTaskSQLScriptExecutor EstateUpdate")]
        public virtual void NightlyTaskSQLScriptExecutorEstateUpdate()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("NightlyTaskSQLScriptExecutor EstateUpdate", ((string[])(null)));
#line 298
this.ScenarioSetup(scenarioInfo);
#line 299
    testRunner.Given("that we have database preparation", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 300
    testRunner.When("start step number \'426\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 301
    testRunner.Then("the following tables have new records inserted or updated: \'STRMAS,Store\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("NightlyTaskSQLScriptExecutor Run_USP_UpdateFuzzyMatchData")]
        public virtual void NightlyTaskSQLScriptExecutorRun_USP_UpdateFuzzyMatchData()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("NightlyTaskSQLScriptExecutor Run_USP_UpdateFuzzyMatchData", ((string[])(null)));
#line 303
this.ScenarioSetup(scenarioInfo);
#line 304
    testRunner.Given("that we have database preparation with custom \'BeforeTest_NightlyTaskSQLScriptExe" +
                    "cutorFuzzy.sql\' script", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 305
    testRunner.When("start step number \'425\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 306
    testRunner.Then("the following tables are not empty: \'SKU,SKUWORD,HIERARCHYWORD\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
